### Method

# Gio Application quit

since: 2.32

#### Declaration [src]

    void
    g_application_quit (
      GApplication* application
    )

#### Description [src]

Immediately quits the application.

Upon return to the mainloop, `g_application_run()` will return, calling only the ‘shutdown’ function before doing so.

The hold count is ignored. Take care if your code has called `g_application_hold()` on the application and is therefore still expecting it to exist. (Note that you may have called `g_application_hold()` indirectly, for example through gtk_application_add_window().)

The result of calling `g_application_run()` again after it returns is unspecified.

Available since: 2.32